/***************************************************************************
 *   Copyright (C) 2006-2007 by Ricardo I. Vieitez - Fernando Beradi       *
 *   ricardo@mundolinux.org - fernando@zerial.org                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation (version 2 of the License)               *
 *                                                                         *
 *   Note that the only valid version of the GPL as far as this server is  *
 *   the version 2 of the license but not any other (i.e. v2, not 1 or 2.2 *
 *   or 3 or whatever), unless explicitly otherwise stated.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.           *
 ***************************************************************************/

#include "server.h"

char* c_WebServer::FatalErrorPage(void) {
#define __TEXT_FatalErrorPage "HTTP/1.1 503 Service Unavailable\n\
Date: Tue, 15 Oct 1996 14:50:12 GMT\n\
Server: PingWS/"PINGUINO_VERSION"\n\
Cache-control: private\n\
Content-type: text/html; charset=iso-8859-1\n\
Last-Modified: Wed, 08 Jan 2003 23:11:55 GMT\n\
Connection: close\n\
\n\
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01//EN\" \
\"http://www.w3.org/TR/html4/strict.dtd\">\n\
<html><head><title>Pinguino Web Server</title>\
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\
<style type=\"text/css\">\
<!--\n\
body{font:11px sans-serif;background:#eee;}\
h1{font:14pt sans-serif;color:blue;}\
h2 {font:11pt sans-serif;color:green;}\
h3{font:8pt/10pt sans-serif;color:red; }\
a:link,a:visited{color:maroon;}\
#mainC{background:#fff;border:2px dashed #000;padding:10px;} \
#webCode{font:9pt monospace;color:#000;}-->\
</style>\
</head>\
<body><table id=\"mainC\"><tbody><tr><td>\
<h1>Pinguino Web Server</h1>\
The server you are looking for isn\'t available because there\'s no configuration available yet.<br>\
<h2>Error 503 - Service Unavailable.<br>Pinguino Web Server (<span id=\"webCode\">PingWS/"PINGUINO_VERSION"</span>).</h2>\
<hr>\
<p>Please try the following:</p>\
<ul>\
<li>Make sure that you have successfully...<ul>\
<li>...installed Pinguino Web Server.</li>\
<li>...configured Pinguino Web Server.</li>\
<li>...ran Pinguino Web Server.</li>\
</ul>\
</li></ul>\
<hr>\
Sorry for the inconvenience.<br>\
<h3>NOTE: <a href=\""PINGUINO_WEB"\">Pinguino Web Server developers</a> \
aren't part of this website so they cannot fix problems related \
with this particular website.</h3>\
</td></tr></tbody></table></body>\
</html>"
return __TEXT_FatalErrorPage;
#undef __TEXT_FatalErrorPage
}
