/***************************************************************************
 *   Copyright (C) 2006-2007 by Ricardo I. Vieitez - Fernando Beradi       *
 *   ricardo@mundolinux.org - fernando@zerial.org                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation (version 2 of the License)               *
 *                                                                         *
 *   Note that the only valid version of the GPL as far as this server is  *
 *   the version 2 of the license but not any other (i.e. v2, not 1 or 2.2 *
 *   or 3 or whatever), unless explicitly otherwise stated.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.           *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream>
#include <stdlib.h>

#include <sys/socket.h>
#include <sys/wait.h>
#include <arpa/inet.h>

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/uio.h>
#include <netinet/in.h>
#include <netdb.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <time.h>
#include <errno.h>

#include "server.h"

#define _LOG 10

#define MIN_PORT 30
#define MAX_PORT 15000

#define MIN_SLEN_ROOT 6
#define MAX_SLEN_ROOT 10000

void c_WebServer::newRequest(void) {
	~(*this);
}

void c_WebServer::operator~ (void) {
	if (send(m_iNewfd, FatalErrorPage(), strlen(FatalErrorPage()), 0) == -1)
		std::cerr << "Sending information error. Closing connection.";
	// close(m_iNewfd); /* Closes connection */
	exit(0); /* Ends subprocess */
}
